*##############################READS Industry Emp Tables for Europe####################################
*######################################################################################################
*######################################################################################################
clear all

*Set Directory 
gl rawdata  = "...\rawdata"
gl procdata = "...\procdata"
gl output   = "...\output"

*###########################################EMPLOYMENT#################################################
*######################################################################################################
*######################################################################################################

numlist "1/69"
local mylist "`r(numlist)'"
di "`mylist'"

foreach m of local mylist{
import excel "${rawdata}\industry_sex_emp_quarterly.xls", sheet("Data`m'") cellrange(A12:AZ50) firstrow
label variable GEOTIME country
foreach y of varlist _all{
   local x : variable label `y'
   rename `y' y`x'
}
rename ycountry country
foreach y of varlist _all {
   tostring `y', replace
  
}
foreach y of varlist _all {
   replace `y'="." if `y'==":"
  
}
reshape long y, i(country) j(date,string) 
rename y employed
destring employed, replace

gen year=.
replace year= real(substr(date, -6, 4)) 
gen q=.
replace q= real(substr(date, -1,1 )) 

gen yq = yq(year, q)
format yq %tq

gen ind=`m'
gen sex=`m'

keep country year yq q emp ind sex


tempfile d`m'
save `d`m''
clear
}
 
use `d1.dta'
numlist "2/69"
local mylist "`r(numlist)'"
di "`mylist'"
foreach m of local mylist{
            append using `d`m'.dta'
 }
 

gen sex_="."
replace sex_="tot" if sex>=1 & sex<=23
replace sex_="male" if sex>=24 & sex<=46
replace sex_="female" if sex>=47 & sex<=69

gen ind_="."

forvalues n=1(23)47{
replace ind_="tot" if ind==`n'
}
forvalues n=2(23)48{
replace ind_="agri" if ind==`n'
}
forvalues n=3(23)49{
replace ind_="mining" if ind==`n'
}
forvalues n=4(23)50{
replace ind_="manu" if ind==`n'
}
forvalues n=5(23)51{
replace ind_="elec" if ind==`n'
}
forvalues n=6(23)52{
replace ind_="water" if ind==`n'
}
forvalues n=7(23)53{
replace ind_="const" if ind==`n'
}
forvalues n=8(23)54{
replace ind_="trade" if ind==`n'
}
forvalues n=9(23)55{
replace ind_="transport" if ind==`n'
}
forvalues n=10(23)56{
replace ind_="accom" if ind==`n'
}
forvalues n=11(23)57{
replace ind_="info" if ind==`n'
}
forvalues n=12(23)58{
replace ind_="finan" if ind==`n'
}
forvalues n=13(23)59{
replace ind_="realest" if ind==`n'
}
forvalues n=14(23)60{
replace ind_="prof" if ind==`n'
}
forvalues n=15(23)61{
replace ind_="admin" if ind==`n'
}
forvalues n=16(23)62{
replace ind_="public" if ind==`n'
}
forvalues n=17(23)63{
replace ind_="educ" if ind==`n'
}
forvalues n=18(23)64{
replace ind_="health" if ind==`n'
}
forvalues n=19(23)65{
replace ind_="arts" if ind==`n'
}
forvalues n=20(23)66{
replace ind_="other" if ind==`n'
}
forvalues n=21(23)67{
replace ind_="hhs" if ind==`n'
}
forvalues n=22(23)68{
replace ind_="extraterr" if ind==`n'
}
forvalues n=23(23)69{
replace ind_="noresponse" if ind==`n'
} 
drop ind sex
rename sex_ sex
rename ind_ ind


gen all=.
replace all=employed if sex=="tot" & ind=="tot"
gen male=.
replace male=employed if sex=="male" & ind=="tot"
gen female=.
replace female=employed if sex=="female" & ind=="tot"

gen agri=.
replace agri=employed if sex=="tot" & ind=="agri"
gen agri_male=.
replace agri_male=employed if sex=="male" & ind=="agri"
gen agri_female=.
replace agri_female=employed if sex=="female" & ind=="agri"

gen mining=.
replace mining=employed if sex=="tot" & ind=="mining"
gen mining_male=.
replace mining_male=employed if sex=="male" & ind=="mining"
gen mining_female=.
replace mining_female=employed if sex=="female" & ind=="mining"

gen manu=.
replace manu=employed if sex=="tot" & ind=="manu"
gen manu_male=.
replace manu_male=employed if sex=="male" & ind=="manu"
gen manu_female=.
replace manu_female=employed if sex=="female" & ind=="manu"

gen elec=.
replace elec=employed if sex=="tot" & ind=="elec"
gen elec_male=.
replace elec_male=employed if sex=="male" & ind=="elec"
gen elec_female=.
replace elec_female=employed if sex=="female" & ind=="elec"

gen water=.
replace water=employed if sex=="tot" & ind=="water"
gen water_male=.
replace water_male=employed if sex=="male" & ind=="water"
gen water_female=.
replace water_female=employed if sex=="female" & ind=="water"

gen construct=.
replace construct=employed if sex=="tot" & ind=="const"
gen construct_male=.
replace construct_male=employed if sex=="male" & ind=="const"
gen construct_female=.
replace construct_female=employed if sex=="female" & ind=="const"

gen trade=.
replace trade=employed if sex=="tot" & ind=="trade"
gen trade_male=.
replace trade_male=employed if sex=="male" & ind=="trade"
gen trade_female=.
replace trade_female=employed if sex=="female" & ind=="trade"

gen transport=.
replace transport=employed if sex=="tot" & ind=="transport"
gen transport_male=.
replace transport_male=employed if sex=="male" & ind=="transport"
gen transport_female=.
replace transport_female=employed if sex=="female" & ind=="transport"


gen accom=.
replace accom=employed if sex=="tot" & ind=="accom"
gen accom_male=.
replace accom_male=employed if sex=="male" & ind=="accom"
gen accom_female=.
replace accom_female=employed if sex=="female" & ind=="accom"

gen info=.
replace info=employed if sex=="tot" & ind=="info"
gen info_male=.
replace info_male=employed if sex=="male" & ind=="info"
gen info_female=.
replace info_female=employed if sex=="female" & ind=="info"

gen finan=.
replace finan=employed if sex=="tot" & ind=="finan"
gen finan_male=.
replace finan_male=employed if sex=="male" & ind=="finan"
gen finan_female=.
replace finan_female=employed if sex=="female" & ind=="finan"

gen realest=.
replace realest=employed if sex=="tot" & ind=="realest"
gen realest_male=.
replace realest_male=employed if sex=="male" & ind=="realest"
gen realest_female=.
replace realest_female=employed if sex=="female" & ind=="realest"

gen prof=.
replace prof=employed if sex=="tot" & ind=="prof"
gen prof_male=.
replace prof_male=employed if sex=="male" & ind=="prof"
gen prof_female=.
replace prof_female=employed if sex=="female" & ind=="prof"

gen admin=.
replace admin=employed if sex=="tot" & ind=="admin"
gen admin_male=.
replace admin_male=employed if sex=="male" & ind=="admin"
gen admin_female=.
replace admin_female=employed if sex=="female" & ind=="admin"

gen public=.
replace public=employed if sex=="tot" & ind=="public"
gen public_male=.
replace public_male=employed if sex=="male" & ind=="public"
gen public_female=.
replace public_female=employed if sex=="female" & ind=="public"

gen educ=.
replace educ=employed if sex=="tot" & ind=="educ"
gen educ_male=.
replace educ_male=employed if sex=="male" & ind=="educ"
gen educ_female=.
replace educ_female=employed if sex=="female" & ind=="educ"

gen health=.
replace health=employed if sex=="tot" & ind=="health"
gen health_male=.
replace health_male=employed if sex=="male" & ind=="health"
gen health_female=.
replace health_female=employed if sex=="female" & ind=="health"

gen arts=.
replace arts=employed if sex=="tot" & ind=="arts"
gen arts_male=.
replace arts_male=employed if sex=="male" & ind=="arts"
gen arts_female=.
replace arts_female=employed if sex=="female" & ind=="arts"

gen other=.
replace other=employed if sex=="tot" & ind=="other"
gen other_male=.
replace other_male=employed if sex=="male" & ind=="other"
gen other_female=.
replace other_female=employed if sex=="female" & ind=="other"

gen hhs=.
replace hhs=employed if sex=="tot" & ind=="hhs"
gen hhs_male=.
replace hhs_male=employed if sex=="male" & ind=="hhs"
gen hhs_female=.
replace hhs_female=employed if sex=="female" & ind=="hhs"

gen extraterr=.
replace extraterr=employed if sex=="tot" & ind=="extraterr"
gen extraterr_male=.
replace extraterr_male=employed if sex=="male" & ind=="extraterr"
gen extraterr_female=.
replace extraterr_female=employed if sex=="female" & ind=="extraterr"

collapse all male female agri agri_male agri_female mining mining_male mining_female manu manu_male manu_female elec elec_male elec_female water water_male water_female construct construct_male construct_female trade trade_male trade_female transport transport_male transport_female accom accom_male accom_female info info_male info_female finan finan_male finan_female realest realest_male realest_female prof prof_male prof_female admin admin_male admin_female public public_male public_female educ educ_male educ_female health health_male health_female arts arts_male arts_female other other_male other_female hhs hhs_male hhs_female extraterr extraterr_male extraterr_female, by(year country q yq) 

save "${procdata}\emp_quarter_ind.dta",replace


