
*############################################################################# */

clear all
*Set Directory
adopath + "...\x12a" // Place seasonal adjustment files provided by Census Bureau and following instructions below. 
gl rawdata  = "...\rawdata"
gl procdata = "...\procdata"
gl output   = "...\output"
gl output2   = "...\output2"

cd "${output2}/"


use"${rawdata}\USA_data.dta" 
              
rename hours_lwk_all_women hours_female
rename hours_lwk_all_men hours_male
rename hours_lwk mhours 
rename hours_lwk_married_women hours_marriedfemale
rename hours_lwk_married_men hours_marriedmale
rename hours_lwk_single_women hours_singlefemale
rename hours_lwk_single_men hours_singlemale
rename tot_hrs_lwk_married_women thours_marriedfemale
rename tot_hrs_lwk_married_men thours_marriedmale
rename tot_hrs_lwk_single_women thours_singlefemale
rename tot_hrs_lwk_single_men thours_singlemale
rename employment_all_men emp_male 
rename employment_all_women emp_female 
rename broad_emp memp
rename Qt q
rename intensive_hrs_lwk hours_int
rename intensive_hrs_lwk_men hours_int_male
rename intensive_hrs_lwk_women hours_int_female


gen thours_female=thours_marriedfemale+thours_singlefemale
gen thours_male=thours_marriedmale+ thours_singlemale
gen thours=thours_female+thours_male

keep mhours hours_male hours_female hours_singlemale hours_marriedmale hours_singlefemale hours_marriedfemale emp_male emp_female memp thours_singlemale thours_marriedmale thours_singlefemale thours_marriedfemale thours_female thours_male thours hours_int hours_int_female hours_int_male year q


preserve 
collapse mhours hours_male hours_female hours_singlemale hours_marriedmale hours_singlefemale hours_marriedfemale emp_male emp_female memp thours_singlemale thours_marriedmale thours_singlefemale thours_marriedfemale thours_female thours_male thours, by(year)
drop if year==2020
format year %ty
tsset year
gen country="US"
save "${procdata}\US_aggregates.dta", replace
restore


drop if year==2020 & (q==4) //not a full quarter
gen yq = yq(year, q)
format yq %tq
tsset yq

local mylist "hours_female hours_male emp_female emp_male mhours memp hours_int hours_int_female hours_int_male"
*########This code does seasonal adjustment using the program X-13ARIMA-SEATS by Census Bureau: https://www.census.gov/srd/www/x13as/
*We use instructions by Ernie Tedeschi: https://medium.com/@ernietedeschi/how-to-get-x-13arima-seats-working-in-stata-for-windows-9e2e03b7e9c6
foreach m of local mylist{
sax12 `m', satype(single) dtafile(`m')  
sax12im "`m'.out", ext(d11)
gen `m'_=`m'_d11
}
keep hours_female_ hours_male_ emp_female_ emp_male_ mhours_ memp_ hours_int_ hours_int_female_ hours_int_male_ year q yq
gen country="US"
foreach m of local mylist{
rename `m'_ `m'
}

save "${procdata}/US_quarter_adjusted.dta", replace


