/* #############################################################################
German Internet Panel - Data loading - Wave 36 - July 2018
############################################################################# */

* Preliminaries
clear


* Directories *
cd "${git_workdir}"


* Load Data - define varlist, then load data:
#delimit ;

local varlist 
id_g hhid_g pid // unique ID, HH ID, personal number in HH

gender_17
year_of_birth_cat_17 // no age, but birth year bracket

educ_school_17 educ_job_17 // highest school education and professional qualification
marital_status_17 // marital status
number_hh_members_17 // number of HH members

german_citizenship_17 state_17 // state of residence and citizenship

sample dDatum // when first in sample & reference day 

occupation_17 // created employment status (for creation example see do file on wave49)

AC36184 AC36185 AC36186 // satisfaction work, family, work life balance

AC36187 // daily hours work
AC36188 // daily hours child and care

AC36189 AC36190 AC36191 AC36192 AC36193 AC36194 // working time reductions (employee, employer)

AA36005 // employment status 
;

** loading GIP data from July 2018;
use `varlist' using "${raw_GIP_data}/GIP_W36_V2.dta";

#delimit cr


********************************************************************************
* change variables for appending data *
***************************************

format dDatum %td


********************************************************************************
* Save dataset *
*****************


// save data set encrypted locally
save "${local_data_encryp}/data_GIP36.dta", replace
