/* #############################################################################
German Internet Panel - Data loading - Wave 49 - Sep 2020
############################################################################# */

* Preliminaries
clear


* Directories *
cd "${git_workdir}"


* Load Data - define varlist, then load data:
#delimit ;

local varlist 
id_g hhid_g pid // unique ID, HH ID, personal number in HH

gender_20 
year_of_birth_cat_20 // no age, but birth year bracket

educ_school_20 educ_job_20 // highest school education and professional qualification
marital_status_20 // marital status
number_hh_members_20 // number of HH members

german_citizenship_20 state_20 // state of residence and citizenship

sample dDatum // when first in sample & reference day 

AA49413a AA49414a AA49415a AA49413b AA49414b AA49415b AA49413c AA49414c AA49415c AA49413d AA49414d AA49415d // other household members 1-4: age, gender, relationship

occupation_20 // created employment status (for creation example see do file on wave49)
AA49466 AA49466_1 // short-term work and hours if in short-term work
AA49467 // workload of self-employed relative to before the crisis
AA49468 // location of work - home office
AA49454 // employed in public service: 
AA49457 // prev employed in public service: 

AA49458 // industry

AA49450_a AA49450_b AA49450_c AA49450_d AA49450_e AA49450_f AA49450_g AA49450_h AA49450_i AA49450_j AA49450_k AA49450_l AA49450_m AA49450_n AA49450_o AA49450_p AA49450_q 
	// Employment variables (17 different states) - to create own employment variable
AA49451 // main emplyoment status of the above 17 possibilities (as multiple answers are possible)
  
AA49054 AA49055 hh_income_20 // income measures (personal & HH) & income contributing persons
;

** Loading GIP data from Sep 2020;
use `varlist' using "${raw_GIP_data}/GIP_W49_V2.dta";

#delimit cr

********************************************************************************
* change variables for appending data *
***************************************

format dDatum %td


********************************************************************************
* Save dataset *
*****************

// save data set encrypted locally
save "${local_data_encryp}/data_GIP49.dta", replace

