********************************************************************************
**************************** MASTER SPANISH DATA *******************************
********************************************************************************

*** Data accessible here: https://ine.es/dyngs/INEbase/en/operacion.htm?c=Estadistica_C&cid=1254736176918&menu=resultados&secc=1254736030639&idp=1254735976595#!tabs-1254736030639

* 0. Preliminaries
cls
clear all
set maxvar 20000
set matsize 2000
set emptycells drop

* 1. Set globals for working directories & data analysis

if "`c(username)'" == " put your username here "{
	gl project " out your project folder path here "
	gl do "${project}/02_Analysis/dofiles"
	gl data "${project}/01_Data"
	global out " put your output folder path here "

	foreach x of numlist 15/20 {
		foreach y of numlist 1/4 {
			gl d_20`x'T`y' "${data}/datos_`y't`x'/CSV"
		}
	}

	gl data_created "${data}/created"
}

* 2. Run do files

cd "$do"

* a) Generate final dataset
qui do 2_dataset.do

* b) Generate descriptive statistics; run regressions to generate paper tables
do 3_results.do
