clear all

* Settings
global this_dir "..."  //main directory for output and intermediate files, read in GRP_data_nonSA
adopath + "..." //location of seasonal adjustment program x12a


********************************************************************************


use "${this_dir}/GRP_data_nonSA.dta" // processed CPS data produced by GP_Figure_01.do


gen ym = ym(year, month)

format ym %tm

tsset ym

local mylist "hrs_lwk_men_all hrs_usl_men_all emp_men_all hrs_lwk_wmn_all hrs_usl_wmn_all emp_wmn_all hrs_lwk_men_none hrs_usl_men_none emp_men_none hrs_lwk_men_kids hrs_usl_men_kids emp_men_kids hrs_lwk_wmn_none hrs_usl_wmn_none emp_wmn_none hrs_lwk_wmn_kids hrs_usl_wmn_kids emp_wmn_kids hrs_lwk_men_chd0 hrs_usl_men_chd0 emp_men_chd0 hrs_lwk_men_chd1 hrs_usl_men_chd1 emp_men_chd1 hrs_lwk_men_chd2 hrs_usl_men_chd2 emp_men_chd2 hrs_lwk_wmn_chd0 hrs_usl_wmn_chd0 emp_wmn_chd0 hrs_lwk_wmn_chd1 hrs_usl_wmn_chd1 emp_wmn_chd1 hrs_lwk_wmn_chd2 hrs_usl_wmn_chd2 emp_wmn_chd2 "

foreach c of local mylist{

sax12 `c', satype(single) dtafile(`c')  
sax12im "`c'.out", ext(d11)
gen `c'_sa=`c'_d11 
}

cd "${this_dir}"
foreach c of local mylist{
twoway (line `c' ym) (line `c'_sa ym), legend( label(1 "unadjusted") label(2 "adjusted")) title("`c'")  name(`c', replace)
graph export `c'.png, replace
}

keep emp_wmn_chd2_sa hrs_usl_wmn_chd2_sa hrs_lwk_wmn_chd2_sa emp_wmn_chd1_sa hrs_usl_wmn_chd1_sa hrs_lwk_wmn_chd1_sa emp_wmn_chd0_sa hrs_usl_wmn_chd0_sa hrs_lwk_wmn_chd0_sa emp_men_chd2_sa hrs_usl_men_chd2_sa hrs_lwk_men_chd2_sa emp_men_chd1_sa hrs_usl_men_chd1_sa hrs_lwk_men_chd1_sa emp_men_chd0_sa hrs_usl_men_chd0_sa hrs_lwk_men_chd0_sa emp_wmn_kids_sa hrs_usl_wmn_kids_sa hrs_lwk_wmn_kids_sa emp_wmn_none_sa hrs_usl_wmn_none_sa hrs_lwk_wmn_none_sa emp_men_kids_sa hrs_usl_men_kids_sa hrs_lwk_men_kids_sa emp_men_none_sa hrs_usl_men_none_sa hrs_lwk_men_none_sa emp_wmn_all_sa hrs_usl_wmn_all_sa hrs_lwk_wmn_all_sa emp_men_all_sa hrs_usl_men_all_sa hrs_lwk_men_all_sa year month ym 


save "${this_dir}/hrs_SA.dta", replace //file to be read in by GP_Figure_03.do


